com.smartgwt.client.bean.types

## Class JsoWrapperValueType<ValueType>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.JsoWrapperValueType<ValueType>

- Direct Known Subclasses:
    CanvasBaseValueType, DataSourceBaseValueType

      public abstract class JsoWrapperValueType<ValueType>
      extends BeanValueType<ValueType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsoWrapperValueType()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canWrapJavaScriptObject(com.google.gwt.core.client.JavaScriptObject value)`
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `ValueType` | `convertFrom(java.lang.Object value)`
    `protected java.lang.String` | `getScClassName()`
    `protected abstract ValueType` | `newInstance(com.google.gwt.core.client.JavaScriptObject value)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsoWrapperValueType

          public JsoWrapperValueType()

  - ### Method Detail

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `BeanValueType<ValueType>`

    - #### canWrapJavaScriptObject

          protected boolean canWrapJavaScriptObject(com.google.gwt.core.client.JavaScriptObject value)

    - #### getScClassName

          protected java.lang.String getScClassName()

    - #### newInstance

          protected abstract ValueType newInstance(com.google.gwt.core.client.JavaScriptObject value)

    - #### convertFrom

          public ValueType convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `BeanValueType<ValueType>`